package com.ruoyi.school.paper.domain.vo;

import com.ruoyi.school.paper.domain.DbQuestionBankAnswerTestPaper;
import com.sun.org.apache.xpath.internal.objects.XString;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 我的错题视图
 */
@Data
public class MyErrorTopicListVo implements Serializable {
    /**
     * 错题编号
     */
    private Long id;

    /**
     * 错题名称
     */
    private String topic;

    /**
     * 我的答案
     */
    private String answer;

    /**
     * 正确答案
     */
    private String correctAnswer;

    /**
     * 题目编号
     */
    private Long questionBankId;

    /**
     * 解答思路
     */
    private String resolveCourse;

    /**
     * 解答视频
     */
    private String resolveVideo;

    /**
     * 选项标签集合
     */
    private List<DbQuestionBankAnswerTestPaper> options;
}
